 *******************************************************************************************************************
 *
 *									Table 4 in our paper - Outliers Dropped from Original CHHK Sample
 *										Repeats Table 3 Model 1 in CHHK (Table 1 Column 5 in our paper)but without outliers in percentiles
 *										Using Fama MacBeth and Fama MacBeth OLS and Robust 
 *******************************************************************************************************************
 
 **  Gross Market Adjusted Returns

clear 
cd "your file location"
use outliers.dta //using sample from Table 2 that identifies outliers for gross returns
sort yr mn
set matsize 799

tsset fund2 modate
keep if tna_qtl >= 2 & tna_qtl <= 5
drop fam_ltna
gen fam_ltna =ln(fam_tna)
drop fam_xtna
gen fam_xtna=ln(1 + fam_tna-tna)
drop pret 
drop fret
gen pret = pmret*100 
gen fret =  mret*100 
set matsize 799
gen touse = !missing(fret, pret, mret, ltna, fam_xtna,age, expenses,tot_load, flow) 
keep if touse==1
tsset fund2 modate
**  Gross Market Adjusted Returns ORIGINAL SAMPLE with OLS and Outliers dropped
 **  Positive Vertical Outliers
xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert<=.95&pcrank_lev<=.95, lag(3) //lower right cell in Table 4, Panel A
xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert<=.96&pcrank_lev<=.95, lag(3)
xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert<=.97&pcrank_lev<=.95, lag(3)
xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert<=.98&pcrank_lev<=.95, lag(3)
xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert<=.99&pcrank_lev<=.95, lag(3)
xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert<=1&pcrank_lev<=.95, lag(3)

xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert<=.95&pcrank_lev<=.96, lag(3)
xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert<=.96&pcrank_lev<=.96, lag(3)
xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert<=.97&pcrank_lev<=.96, lag(3)
xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert<=.98&pcrank_lev<=.96, lag(3)
xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert<=.99&pcrank_lev<=.96, lag(3)
xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert<=1&pcrank_lev<=.96, lag(3)

xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert<=.95&pcrank_lev<=.97, lag(3)
xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert<=.96&pcrank_lev<=.97, lag(3)
xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert<=.97&pcrank_lev<=.97, lag(3)
xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert<=.98&pcrank_lev<=.97, lag(3)
xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert<=.99&pcrank_lev<=.97, lag(3)
xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert<=1&pcrank_lev<=.97, lag(3)

xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert<=.95&pcrank_lev<=.98, lag(3)
xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert<=.96&pcrank_lev<=.98, lag(3)
xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert<=.97&pcrank_lev<=.98, lag(3)
xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert<=.98&pcrank_lev<=.98, lag(3)
xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert<=.99&pcrank_lev<=.98, lag(3)
xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert<=1&pcrank_lev<=.98, lag(3)

xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert<=.95&pcrank_lev<=.99, lag(3)
xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert<=.96&pcrank_lev<=.99, lag(3)
xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert<=.97&pcrank_lev<=.99, lag(3)
xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert<=.98&pcrank_lev<=.99, lag(3)
xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert<=.99&pcrank_lev<=.99, lag(3)
xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert<=1&pcrank_lev<=.99, lag(3)

xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert<=.95&pcrank_lev<=1, lag(3)
xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert<=.96&pcrank_lev<=1, lag(3)
xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert<=.97&pcrank_lev<=1, lag(3)
xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert<=.98&pcrank_lev<=1, lag(3)
xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert<=.99&pcrank_lev<=1, lag(3)
xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert<=1&pcrank_lev<=1, lag(3)

*****************************************************************************************
**  Gross Market Adjusted Returns ORIGINAL SAMPLE with OLS and Outliers dropped
 **  Negative Vertical Outliers
 ****************************************************************************************
xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert>=0.05&pcrank_lev<=.95, lag(3)
xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert>=0.04&pcrank_lev<=.95, lag(3)
xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert>=0.03&pcrank_lev<=.95, lag(3)
xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert>=0.02&pcrank_lev<=.95, lag(3)
xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert>=0.01&pcrank_lev<=.95, lag(3)
xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert>=0&pcrank_lev<=.95, lag(3)

xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert>=0.05&pcrank_lev<=.96, lag(3)
xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert>=0.04&pcrank_lev<=.96, lag(3)
xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert>=0.03&pcrank_lev<=.96, lag(3)
xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert>=0.02&pcrank_lev<=.96, lag(3)
xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert>=0.01&pcrank_lev<=.96, lag(3)
xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert>=0&pcrank_lev<=.96, lag(3)

xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert>=0.05&pcrank_lev<=.97, lag(3)
xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert>=0.04&pcrank_lev<=.97, lag(3)
xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert>=0.03&pcrank_lev<=.97, lag(3)
xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert>=0.02&pcrank_lev<=.97, lag(3)
xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert>=0.01&pcrank_lev<=.97, lag(3)
xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert>=0&pcrank_lev<=.97, lag(3)

xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert>=0.05&pcrank_lev<=.98, lag(3)
xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert>=0.04&pcrank_lev<=.98, lag(3)
xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert>=0.03&pcrank_lev<=.98, lag(3)
xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert>=0.02&pcrank_lev<=.98, lag(3)
xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert>=0.01&pcrank_lev<=.98, lag(3)
xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert>=0&pcrank_lev<=.98, lag(3)

xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert>=0.05&pcrank_lev<=.99, lag(3)
xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert>=0.04&pcrank_lev<=.99, lag(3)
xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert>=0.03&pcrank_lev<=.99, lag(3)
xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert>=0.02&pcrank_lev<=.99, lag(3)
xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert>=0.01&pcrank_lev<=.99, lag(3)
xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert>=0&pcrank_lev<=.99, lag(3)

xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert>=0.05&pcrank_lev<=1, lag(3)
xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert>=0.04&pcrank_lev<=1, lag(3)
xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert>=0.03&pcrank_lev<=1, lag(3)
xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert>=0.02&pcrank_lev<=1, lag(3)
xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert>=0.01&pcrank_lev<=1, lag(3)
xtfmb fret ltna fam_xtna turnover age expenses tot_load flow pret if pcrank_vert>=0&pcrank_lev<=1, lag(3)



